<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<dom-module id="estado-animo">
    <template>
        <style>
            span {
                text-transform: uppercase;
            }
        </style>
        <div>
            Hoy me encuentro
            <span>{{animo}}</span>
        </div>
    </template>

    <script>
        class EstadoAnimo extends Polymer.Element {
            static get is() {
                return 'estado-animo';
            }
            static get properties() {
                return {
                    animo: {
                        type: String,
                        value: 'feliz'
                    }
                }
            }

            ponerContento() {
                document.getElementById('displayanimo').setAttribute('animo', 'contento');
            }
            ponerTriste() {
                document.getElementById('displayanimo').setAttribute('animo', 'triste');
            }
            document.getElementById('botoncontento').addEventListener('click', ponerContento);
            document.getElementById('botontriste').addEventListener('click', ponerTriste);
        }
        window.customElements.define(EstadoAnimo.is, EstadoAnimo);

    </script>
</dom-module>